# approveapi_swagger

ApproveAPISwagger - the Ruby gem for the ApproveAPISwagger

The simple API to request a user's approval on anything via email + sms.

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.1
- Package version: 1.0.6
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build approveapi_swagger.gemspec
```

Then either install the gem locally:

```shell
gem install ./approveapi_swagger-1.0.6.gem
```
(for development, run `gem install --dev ./approveapi_swagger-1.0.6.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'approveapi_swagger', '~> 1.0.6'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'approveapi_swagger', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'approveapi_swagger'

# Setup authorization
ApproveAPISwagger.configure do |config|
  # Configure HTTP basic authorization: apiKey
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = ApproveAPISwagger::ApproveApi.new
create_prompt_request = ApproveAPISwagger::CreatePromptRequest.new # CreatePromptRequest | 

begin
  #Sending a prompt
  result = api_instance.create_prompt(create_prompt_request)
  p result
rescue ApproveAPISwagger::ApiError => e
  puts "Exception when calling ApproveApi->create_prompt: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://approve.sh*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApproveAPISwagger::ApproveApi* | [**create_prompt**](docs/ApproveApi.md#create_prompt) | **POST** /prompt | Sending a prompt
*ApproveAPISwagger::ApproveApi* | [**get_prompt**](docs/ApproveApi.md#get_prompt) | **GET** /prompt/{id} | Retrieve a prompt
*ApproveAPISwagger::ApproveApi* | [**get_prompt_status**](docs/ApproveApi.md#get_prompt_status) | **GET** /prompt/{id}/status | Check prompt status


## Documentation for Models

 - [ApproveAPISwagger::AnswerMetadata](docs/AnswerMetadata.md)
 - [ApproveAPISwagger::CreatePromptRequest](docs/CreatePromptRequest.md)
 - [ApproveAPISwagger::Error](docs/Error.md)
 - [ApproveAPISwagger::Prompt](docs/Prompt.md)
 - [ApproveAPISwagger::PromptAnswer](docs/PromptAnswer.md)
 - [ApproveAPISwagger::PromptMetadata](docs/PromptMetadata.md)
 - [ApproveAPISwagger::PromptStatus](docs/PromptStatus.md)


## Documentation for Authorization


### apiKey

- **Type**: HTTP basic authentication

